package com.lightinit.hsdataportal.common;

import org.apache.commons.configuration2.Configuration;
import org.springframework.stereotype.Component;

/**
 * Created by Mr.Yao on 2017/5/9.
 */
@Component
public class ThriftServerConfig {
    private static String zookeeperhost;
    private static int zookeeperport;

    static {
        Configuration configuration=ConfigUtils.getConfiguration("thrift.properties");
        zookeeperhost=configuration.getString("thrift.zookeeper.host");
        zookeeperport=configuration.getInt("thrift.zookeeper.port");
    }

    public String getHost() {
        return zookeeperhost;
    }

    public int getPort() {
        return zookeeperport;
    }
}
